Subject: Re: [bug#35878] [PATCH] gnu: Add chafa.

From: guy fleury iteriteka <[email-masked]>
Date: Sat, 29 Jun 2019 17:23:48 +0200

Hello Ludovic,

Sorry for taking so long time.
I discus with the developper upstream. Here is what he tells me:
---------------------------------
Even if it builds SSE support, it will only be used at runtime if the
platform supports it. It uses CPUID internally to detect the CPU
capabilities when run.
-------------------------------

He will also add a note to clarify things in the next release!

Thanks.
Le 29 mai 2019 09:44, "guy fleury iteriteka" <[email-masked]> a écrit :

> Hi,
>
> I will try!
> Le 27 mai 2019 16:52, "Ludovic Courtès" <[email-masked]> a écrit :
>
>> Hi,
>>
>> guy fleury iteriteka <[email-masked]> skribis:
>>
>> > * gnu/packages/image-viewers.scm(chaffa): New variable.
>>
>> I’d suggest the changes below.
>>
>> Additionally, this code detects SSE4.1 and related instruction set
>> extensions at configuration time.  As a result, I think the resulting
>> code may not run on all x86_64 machines.
>>
>> Could you investigate this and see how we can get a generic binary?
>>
>> Thanks,
>> Ludo’.
>>
>>